org.apache.fop.util.text

## Class HexFieldPart

- java.lang.Object
- - org.apache.fop.util.text.HexFieldPart

All Implemented Interfaces:
  AdvancedMessageFormat.Part

    public class HexFieldPart
    extends Object
    implements AdvancedMessageFormat.Part

Function formatting a number or character to a hex value.

### Nested Class Summary

Nested Classes
`static class` `HexFieldPart.Factory` Factory for `HexFieldPart`.

### Constructor Summary

Constructors
Constructor and Description
`HexFieldPart(String fieldName)` Creates a new hex field part

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isGenerated(Map params)`
`String` `toString()`
`void` `write(StringBuffer sb, Map params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### HexFieldPart

    public HexFieldPart(String fieldName)

Creates a new hex field part

Parameters:
  `fieldName` - the field name

### Method Detail

#### isGenerated

    public boolean isGenerated(Map params)

Specified by:
  `isGenerated` in interface `AdvancedMessageFormat.Part`

#### write

    public void write(StringBuffer sb,
                      Map params)

Specified by:
  `write` in interface `AdvancedMessageFormat.Part`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`